summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAlexis2018-11-09 09:53:03 +0100
committerAlexis2018-11-09 09:53:03 +0100
commit44ddd797079e5bcf1be21f2522ad32193279136a (patch)
tree3f0fe705d018474bf0598946fa868382be0b036f /PKGBUILD
parentd7cc0ddd38f2fab6e10f68f459bda3a28b3ed712 (diff)
downloadaur-44ddd797079e5bcf1be21f2522ad32193279136a.tar.gz
chore: update patch
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD9
1 files changed, 7 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 74b23743dbf..6ffc89d1e6d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Alexis Rouillard <contact@arouillard.fr>
pkgname=waybar-git
-pkgver=r128.28c65c64
+pkgver=r235.2d2fb88
pkgrel=1
pkgdesc='Highly customizable wayland bar for sway or wlroots based compositor.'
arch=('x86_64')
@@ -25,7 +25,12 @@ source=("${pkgname}::git://github.com/Alexays/Waybar"
'meson.build.patch')
sha1sums=('SKIP'
- '99b9da23d134953c04d6c3094f5ba7a435846a5e')
+ '48f912d7765d1ecc851254a282215f2981dd5792')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ set -o pipefail git describe --long 2>/dev/null | sed 's/([^-]*-g)/r\1/;s/-/./g' || printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
prepare() {
cd "${srcdir}/${pkgname}"